> ## Documentation Index
> Fetch the complete documentation index at: https://docs.presenton.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Templates



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/ppt/template/all
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.presenton.ai
security: []
paths:
  /api/v1/ppt/template/all:
    get:
      tags:
        - Template
      summary: Get All Templates
      operationId: get_all_templates_api_v1_ppt_template_all_get
      parameters:
        - name: include_defaults
          in: query
          required: false
          schema:
            type: boolean
            description: Whether to include default templates
            default: true
            title: Include Defaults
          description: Whether to include default templates
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
            description: Bearer JWT or API Key
            title: Authorization
          description: Bearer JWT or API Key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TemplateDetail'
                title: Response Get All Templates Api V1 Ppt Template All Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    TemplateDetail:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        total_layouts:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total Layouts
      type: object
      required:
        - id
        - name
      title: TemplateDetail
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````